Subject: ppc4xx simple vs SoC's

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 01 Dec 2011 16:39:13 +1100

Hi Josh !

I was helping Tony with some of the Currituck stuff when I noticed an
oddity...

So we have various "SoC" config symbols such as 440EP, 460SX, etc...
that in turn select various bits & pieces that enable support for that
SoC (such as EMAC4 support or FPU support). Those only act as "enables"
for compiling of the code, there is still going to be a runtime check of
course.

Those SoC config symbols are not user selectable, they are meant to be
themselves select'ed by the board Kconfig entries.

However, the entry for ppc44x_simple doesn't select any of these,
meaning for example, AFAIK, that you don't get EMAC4 etc... I'm
surprised things work at all !

What am I missing ?

Cheers,
Ben.